<div id="bannerProduit">
    <div class="col-sm">
      <h3>Catalogue de produits</h3>
    </div>
 </div>

  <div class="container">
    <div class="row">
      <div class="col-lg-4 col-md-6 col-xs-6">
        <div class="form-group"> 
            <select class="form-control" (change)="updateCatalogue($event.target.value)" >
            <option selected value="666">Tous les produits</option>
            <option *ngFor="let typeProduit of typesProduit;"  value="{{typeProduit.id}}">{{typeProduit.nom}}</option>
            </select>
        </div>
      </div>
    </div>

    <br/>

    <table datatable id="produitDataTable" [dtTrigger]="dtTrigger" [dtOptions]="dtOptions" class="row-border hover">
        <thead>
          <tr>
            <th style="display:none;">Id</th>
            <th>Image</th>
            <th>Produit</th>
            <th>Marque</th>
            <th>Prix</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let produit of produits">
            <td style="display:none;">{{ produit.id }}</td>
            <td>
                <img src="/assets/images/{{produit.photo}}" />    
            </td>
            <td>{{ produit.nom }}</td>
            <td>{{ produit.marque.nom }}</td>
            <td>{{ produit.prix | number : '.2-2'}} €</td>
          </tr>
        </tbody>
    </table>
  </div>


